LOOKING-GLASS-CLIENT(1)

NAME
looking-glass-client - Low latency KVM FrameRelay implementation

SYNOPSIS
looking-glass-client [OPTIONS]

DESCRIPTION
LookingGlass enables you to use shared memory to pass rendered frames from a virtual machine back to the host system. A LookingGlass Host implementation is required to run on the guest virtual machine. It is recommended that the client and host versions match.

OPTIONS

-h  Print out this help

-C PATH
    Specify an additional configuration file to load

-f PATH
    Specify the path to the shared memory file [default: /dev/shm/looking-glass]

-L SIZE
    Specify the size in MB of the shared memory file (0 = detect) [default: 0]

-s  Disable spice client

-c HOST
    Specify the spice host or UNIX socket [default: 127.0.0.1]

-p PORT
    Specify the spice port or 0 for UNIX socket [default: 5900]

-j  Disable cursor position scaling

-M  Don't hide the host cursor

-K  Set the FPS limit [default: 200]

-k  Enable FPS display

-g NAME
    Force the use of a specific renderer

-o OPTION
    Specify a renderer option (ie: opengl:vsync=0) Alternatively specify "list" to list all renderers and their options

-a  Auto resize the window to the guest

-n  Don't allow the window to be manually resized

-r  Don't maintain the aspect ratio

-d  Borderless mode

-F  Borderless fullscreen mode

-x XPOS
    Initial window X position [default: center]

-y YPOS
    Initial window Y position [default: center]

-w WIDTH
    Initial window width [default: 1024]

-b HEIGHT
    Initial window height [default: 768]

-Q  Ignore requests to quit (ie: Alt+F4)

-l  License information

AUTHOR
looking-glass-client is written by Geoffrey McRae (https://looking-glass.hostfission.com/)

This manual page was written by Lennart Weller <lhw@ring0.de>, for the Debian project (but may be used by others).